use strict;
use warnings;
use utf8;
use Test::More;
use Email::MIME::MobileJP::Creator::UseEncWords;
use Encode ();

subtest 'single part(docomo)' => sub {
    my $orig = \&MIME::Words::encode_mimeword;
    my $creator = Email::MIME::MobileJP::Creator::UseEncWords->new('docomo.taro.@docomo.ne.jp');
    is $creator->header('To'), 'docomo.taro.@docomo.ne.jp';
    $creator->subject('Hello こんにちわ!');
    $creator->body('ほげほげ');

    is $creator->subject(), 'Hello こんにちわ!';
    is $creator->body(), 'ほげほげ';
    is $creator->mail->content_type(), 'text/plain; charset="Shift_JIS"';

    my $mail = $creator->finalize();
    my $str = $mail->as_string;
    ok !Encode::is_utf8($str);
    like $str, qr{To: docomo\.taro\.\@docomo\.ne\.jp};
    like $str, qr{\QSubject: Hello =?SHIFT_JIS?B?grGC8YLJgr+C7SE=?=};
    note $str;
};

done_testing;
